summaryrefslogtreecommitdiff
path: root/scripts/find-debuginfo.sh
diff options
context:
space:
mode:
authorpark <sk7.park@samsung.com>2015-12-03 23:39:04 -0800
committerpark <sk7.park@samsung.com>2015-12-03 23:39:04 -0800
commit29837a4f73f01639b606740983a97c349f85044b (patch)
tree924c48f5b8a1b14b1e1f95a2c27af2e028500cb5 /scripts/find-debuginfo.sh
parentdc338f74bbe69185d09a419ecda8e5fa35bb4acb (diff)
downloadrpm-29837a4f73f01639b606740983a97c349f85044b.tar.gz
rpm-29837a4f73f01639b606740983a97c349f85044b.tar.bz2
rpm-29837a4f73f01639b606740983a97c349f85044b.zip
Revert "Modify eu-strip option to perform strip in post script of rpm package & add option add '_rpm_strip_disable' option and '_rpm_strip_option' to project config."
This reverts commit dc338f74bbe69185d09a419ecda8e5fa35bb4acb. Change-Id: I3c15db4307ea877b660ca6ea1056aa0e26b0e182
Diffstat (limited to 'scripts/find-debuginfo.sh')
-rw-r--r--scripts/find-debuginfo.sh39
1 files changed, 7 insertions, 32 deletions
diff --git a/scripts/find-debuginfo.sh b/scripts/find-debuginfo.sh
index fd69616b0..efcc72ed2 100644
--- a/scripts/find-debuginfo.sh
+++ b/scripts/find-debuginfo.sh
@@ -2,7 +2,7 @@
#find-debuginfo.sh - automagically generate debug info and file list
#for inclusion in an rpm spec file.
#
-# Usage: find-debuginfo.sh [--strict-build-id] [--strip-disable] [--strip-option] [-g] [-r]
+# Usage: find-debuginfo.sh [--strict-build-id] [-g] [-r]
# [-o debugfiles.list]
# [[-l filelist]... [-p 'pattern'] -o debuginfo.list]
# [builddir]
@@ -32,12 +32,6 @@ strip_r=false
# Barf on missing build IDs.
strict=false
-# With --strip-disable arg, no strip
-strip_disable=false
-
-# With --strip-option arg, this will be used as arg. of eu-strip
-strip_option=
-
BUILDDIR=.
out=debugfiles.list
nout=0
@@ -46,12 +40,6 @@ while [ $# -gt 0 ]; do
--strict-build-id)
strict=true
;;
- --strip-disable)
- strip_disable=true
- ;;
- *--strip-option*)
- strip_option=$(echo $1 | sed 's/--strip-option=//')
- ;;
-g)
strip_g=true
;;
@@ -107,27 +95,17 @@ debugdir="${RPM_BUILD_ROOT}/usr/lib/debug"
strip_to_debug()
{
- local g=
local r=
-
- if test "$strip_disable" = true ; then
- exit
- fi
-
$strip_r && r=--reloc-debug-sections
- $strip_g && case "$(file -bi "$2")" in
- application/x-sharedlib*) g=-g ;;
- esac
-
case $2 in
*.ko)
- # don't attempt to create a minimal backtrace binary for
- # kernel modules as this just causes the stripping process
- # to be skipped entirely
- eu-strip --remove-comment $r $strip_option -f "$1" "$2" || exit
- ;;
+ # don't attempt to create a minimal backtrace binary for
+ # kernel modules as this just causes the stripping process
+ # to be skipped entirely
+ eu-strip --remove-comment $r -f "$1" "$2" || exit
+ ;;
*)
- eu-strip --remove-comment $g $strip_option -f "$1" "$2" || exit
+ eu-strip --remove-comment -g -f "$1" "$2" || exit
esac
chmod 444 "$1" || exit
}
@@ -335,9 +313,6 @@ while read nlinks inum f; do
if test "$NO_DEBUGINFO_STRIP_DEBUG" = true ; then
strip_option=
fi
- if test "$strip_disable" = true ; then
- strip_option=
- fi
objcopy --add-gnu-debuglink=$debugfn -R .comment -R .GCC.command.line $strip_option $f
chmod $mode $f
) || :